Package Details: vvvvvv 2.3.4-2

Git Clone URL: https://aur.archlinux.org/vvvvvv.git (read-only, click to copy)
Package Base: vvvvvv
Description: A retro-styled 2D platformer
Upstream URL: https://thelettervsixtim.es/
Licenses: custom
Groups: humblebundle3, humblebundle4, humblebundles
Submitter: gadget3000
Maintainer: ejona86
Last Packager: ejona86
Votes: 33
Popularity: 0.000117
First Submitted: 2011-07-26 19:28
Last Updated: 2021-10-04 04:21

Latest Comments

« First ‹ Previous 1 2 3 4 5 Next › Last »

Anonymous comment on 2012-12-31 23:25

I get this message trying to install on a 32-bit system:

strip:./opt/games/VVVVVV/VVVVVV_64: File format not recognized
/usr/bin/fakeroot: line 181: 11998 User defined signal 1 FAKEROOTKEY=$FAKEROOTKEY LD_LIBRARY_PATH="$PATHS" LD_PRELOAD="$LIB" "$@"

Can be fixed by adding options=(!strip) to the PKGBUILD, or by detecting 32-bit systems and then deleting the VVVVVV_64 binary.

CheapTransfers commented on 2012-12-30 03:29

Hey, please install the game in /opt/games and not in /usr/share. i edited your PKGBUILD -> http://pastie.org/5595906

Anonymous comment on 2011-12-31 16:31

Just to note, you can get VVVVVV from the Humble Indue Bundle 4 as well, so you may want to detect _humblebundle 4 key too.

gadget3000 commented on 2011-08-10 07:59

@Hiroe Excellent idea. I'll start to implement this into my humble bundle PKGBUILDs now and I'll urge other maintainers to do the same once I have established a variable name.

Anonymous comment on 2011-08-08 22:25

For the install of all of these humble bundle games it would be nice to be able to either drop it in like we do now, or add your humble bundle key as a bash variable and have it auto download.

The key can be found at http://www.humblebundle.com/?key=XXXXXXXXXXXX Where XXXXXXXXXXXX is your key. If we can get this for all the humble bundle games we're happy, especially as far as automation goes.

tjbp commented on 2011-08-07 03:47

Worked perfectly, many thanks.

Anonymous comment on 2011-08-05 20:21

You forgot to add gcc-libs to the depends array.
The start script should still by adapted.

Anonymous comment on 2011-08-05 18:02

@gadget3000:

Your PKGBUILD needs some fixes:

There are a lot of unneeded dependencies.
sdl_image, sdl_mixer and gcc-libs should be enough.

You should ship an adapted start script instead of the original one.
The orignal one unnecessarily adjusts LD_LIBRARY_PATH.

The file/directory ownerships are wrong.
All files in the filesystem belong to the user, who built the package.

gadget3000 commented on 2011-08-02 08:26

When testing which dependencies this package needed the first error it threw up was about libjpeg6. I then installed that and a libtiff error came up. That means that vvvvvv depends on libjpeg6 so it makes sense to list it as a dependency, rather than have another package provide it for you (in case libtiff's dependencies change or libtiff is no longer required by vvvvvv.).

Ideka commented on 2011-08-01 20:31

libtiff4 depends on libjpeg6, so libjpeg6 should be removed from the dependency list. I think.